Package org.zkoss.zk.ui.http

## Class DHtmlLayoutServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.zkoss.zk.ui.http.DHtmlLayoutServlet

- All Implemented Interfaces:
    `java.io.Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

      public class DHtmlLayoutServlet
      extends javax.servlet.http.HttpServlet

  Used to process the request for a ZUML page. Though it is called DHtmlLayoutServlet, it is used to serve all kind of HTTP-based clients, including ajax (HTML+Ajax), mil (Mobile Interactive Language) and others (see `Desktop.getDeviceType()`.

  Init parameters:

  update-uri
    It specifies the URI which the ZK AU engine is mapped to.
  compress
    It specifies whether to compress the output if the browser supports the compression (Accept-Encoding) and this Servlet is not included by other Servlets.
  log-level
    It specifies the default log level for org.zkoss. If not specified, the system default (usually INFO) is used.
  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DHtmlLayoutServlet()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `destroy()` |
    `protected void` | `doGet​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` |
    `protected void` | `doPost​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` |
    `void` | `init()` |
    `protected boolean` | `process​(Session sess, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String originPath, boolean bRichlet)` | Process the request.

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DHtmlLayoutServlet

          public DHtmlLayoutServlet()

  - ### Method Detail

    - #### init

          public void init()
                    throws javax.servlet.ServletException

      Overrides:
        `init` in class `javax.servlet.GenericServlet`
      Throws:
        `javax.servlet.ServletException`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `javax.servlet.Servlet`
      Overrides:
        `destroy` in class `javax.servlet.GenericServlet`

    - #### doGet

          protected void doGet​(javax.servlet.http.HttpServletRequest request,
                               javax.servlet.http.HttpServletResponse response)
                        throws javax.servlet.ServletException,
                               java.io.IOException

      Overrides:
        `doGet` in class `javax.servlet.http.HttpServlet`
      Throws:
        `javax.servlet.ServletException`
        `java.io.IOException`

    - #### doPost

          protected void doPost​(javax.servlet.http.HttpServletRequest request,
                                javax.servlet.http.HttpServletResponse response)
                         throws javax.servlet.ServletException,
                                java.io.IOException

      Overrides:
        `doPost` in class `javax.servlet.http.HttpServlet`
      Throws:
        `javax.servlet.ServletException`
        `java.io.IOException`

    - #### process

          protected boolean process​(Session sess,
                                    javax.servlet.http.HttpServletRequest request,
                                    javax.servlet.http.HttpServletResponse response,
                                    java.lang.String originPath,
                                    boolean bRichlet)
                             throws javax.servlet.ServletException,
                                    java.io.IOException

      Process the request.
      Returns:
        false if the page is not found.
      Throws:
        `javax.servlet.ServletException`
        `java.io.IOException`
      Since:
        3.0.0